summaryrefslogtreecommitdiff
path: root/iwd/install-2cd-uk-minimal.sh
diff options
context:
space:
mode:
authorTasos Latsas <tlatsas@users.sourceforge.net>2009-05-29 22:53:21 +0300
committerNick White <git@njw.me.uk>2009-06-01 01:12:25 +0100
commitf28ad8ac9b19cd1fcb5e300c70fca36ce3cf95b5 (patch)
tree795eecfb57caea6956d5502267c981ec48c6f109 /iwd/install-2cd-uk-minimal.sh
parent832a15af708e40f9d2e727bea3c79051c5301fdc (diff)
downloadgemrb-gameinstallers-f28ad8ac9b19cd1fcb5e300c70fca36ce3cf95b5.tar.bz2
gemrb-gameinstallers-f28ad8ac9b19cd1fcb5e300c70fca36ce3cf95b5.zip
icewind dale install and patch scripts and changes to main scripts to support them
Diffstat (limited to 'iwd/install-2cd-uk-minimal.sh')
-rwxr-xr-xiwd/install-2cd-uk-minimal.sh43
1 files changed, 43 insertions, 0 deletions
diff --git a/iwd/install-2cd-uk-minimal.sh b/iwd/install-2cd-uk-minimal.sh
new file mode 100755
index 0000000..5438e3b
--- /dev/null
+++ b/iwd/install-2cd-uk-minimal.sh
@@ -0,0 +1,43 @@
+#!/bin/bash
+# Copyright 2009 Tasos Latsas
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# See <http://www.gnu.org/licenses/> for a copy of the GNU General
+# Public License.
+#
+# Icewind Dale (2CD UK version) minimal
+
+scriptdir="$(dirname $0)"/..
+source "$scriptdir/includes/generic-includes.sh"
+source "$scriptdir/includes/cd-includes.sh"
+
+parseargs "$@"
+
+checkforbin unshield
+
+getcd 1 $IWD_2CD_UK_MD5 data1.cab
+
+mkdir -p "$TARGETDIR" || die
+
+unshield -L x $CDMOUNT/data1.cab -d "$TARGETDIR" || die
+
+cp -R "$TARGETDIR"/minimum_compressed/* "$TARGETDIR" || die
+rm -r "$TARGETDIR"/minimum_compressed || die
+rm -r "$TARGETDIR"/register || die
+
+cp -R "$TARGETDIR"/recommended_compressed/data/* "$TARGETDIR"/data || die
+rm -r "$TARGETDIR"/recommended_compressed || die
+
+copylower $CDMOUNT/Data "$TARGETDIR"/data || die
+copylower $CDMOUNT/ICEWIND.ICO "$TARGETDIR" || die
+
+setperms "$TARGETDIR"